| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::OverlaySystem Class Reference
Optional Components » Overlay

This class simplify initialization / finalization of the overlay system. More...

`#include <OgreOverlaySystem.h>`

Inheritance diagram for Ogre::OverlaySystem:
[legend]

## Public Member Functions
| OverlaySystem ()
virtual | ~OverlaySystem ()
virtual void | eventOccurred (const String &eventName, const NameValuePairList *parameters)
virtual void | postRenderQueues ()
| Event raised after all render queues are processed. More...
virtual void | preRenderQueues ()
| Event raised before all render queues are processed. More...
virtual void | renderQueueEnded (uint8 queueGroupId, const String &invocation, bool &repeatThisInvocation)
| Event raised after a queue group is rendered. More...
virtual void | renderQueueStarted (uint8 queueGroupId, const String &invocation, bool &skipThisInvocation)

## Detailed Description

This class simplify initialization / finalization of the overlay system.

OGRE root did this steps before the overlay system transformed into a component.

Remarks
  Before you create a concrete instance of the OverlaySystem the OGRE::Root must be created but not initialized. In the ctor all relevant systems are created and registered. The dtor must be called before you delete OGRE::Root. To make the overlays visible (= render into your viewports) you have to register this instance as a RenderQueueListener in your scenemanager(s).

## Member Function Documentation

## ◆ preRenderQueues()

virtual void Ogre::RenderQueueListener::preRenderQueues | ( |  | ) |
| inline virtual inherited

Event raised before all render queues are processed.

## ◆ postRenderQueues()

virtual void Ogre::RenderQueueListener::postRenderQueues | ( |  | ) |
| inline virtual inherited

Event raised after all render queues are processed.

## ◆ renderQueueEnded()

virtual void Ogre::RenderQueueListener::renderQueueEnded | ( | uint8 | queueGroupId,
|  | const String & | invocation,
|  | bool & | repeatThisInvocation
| ) |  |
| inline virtual inherited

Event raised after a queue group is rendered.

Remarks
  This method is called by the SceneManager after each queue group is rendered.

Parameters

  queueGroupId | The id of the queue group which has just been rendered
  invocation | Name of the invocation which is causing this to be called (

See also
  RenderQueueInvocation)

Parameters

  repeatThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

The documentation for this class was generated from the following file:

- OgreOverlaySystem.h